sc::TwoBodyIntCints(3)

NAME
sc::TwoBodyIntCints -

This implements electron repulsion integrals in the IntCints library.

SYNOPSIS

#include <tbintcints.h>

Inherits sc::TwoBodyInt.

  Public Member Functions
TwoBodyIntCints (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, const Ref< GaussianBasisSet > &b3, const Ref< GaussianBasisSet > &b4, size_t storage, tbinteval int2etype)
int log2_shell_bound (int, int, int, int)
Return log base 2 of the maximum magnitude of any integral in a shell block obtained from compute_shell.
void compute_shell (int, int, int, int)
Given four shell indices, integrals will be computed and placed in the buffer.
size_t used_storage () const
void set_integral_storage (size_t storage)
This storage is used to cache computed integrals.
const double * buffer (tbint_type te_type) const
The computed shell integrals will be put in the buffer returned by this member.

  Protected Attributes
Ref< Int2eCints > int2ecints_

  Additional Inherited Members

Detailed Description

This implements electron repulsion integrals in the IntCints library.

Member Function Documentation

  const double* sc::TwoBodyIntCints::buffer (tbint_typetype) const [inline], [virtual]

The computed shell integrals will be put in the buffer returned by this member. Some TwoBodyInt specializations have more than one buffer: The type arguments selects which buffer is returned. If the requested type is not supported, then 0 is returned.

Reimplemented from sc::TwoBodyInt.

  void sc::TwoBodyIntCints::compute_shell (int, int, int, int) [virtual]

Given four shell indices, integrals will be computed and placed in the buffer. The first two indices correspond to electron 1 and the second two indices correspond to electron 2.

Implements sc::TwoBodyInt.

  int sc::TwoBodyIntCints::log2_shell_bound (int, int, int, int) [virtual]

Return log base 2 of the maximum magnitude of any integral in a shell block obtained from compute_shell. An index of -1 for any argument indicates any shell.

Implements sc::TwoBodyInt.

Author

Generated automatically by Doxygen for MPQC from the source code.